<?php
include "../../include/koneksi.php";

if (!isset($_GET['jenis'])) {
    echo "ERROR";
    exit;
}

$jenis = $_GET['jenis'];
$prefix = ($jenis === 'Hotspot') ? 'HSP' : 'POE';

$getKode = $koneksi->query("SELECT MAX(kode_pelanggan) AS kode_terakhir 
                            FROM tb_pelanggan 
                            WHERE kode_pelanggan LIKE '$prefix%'");
$kode_terakhir = $getKode->fetch_assoc()['kode_terakhir'];

$urutan = ($kode_terakhir) ? (int)substr($kode_terakhir, 3) + 1 : 1;
$kode_baru = $prefix . str_pad($urutan, 3, '0', STR_PAD_LEFT);

echo $kode_baru;
